# Uses of Class
bsh.classpath.BshClassPath.ClassSource

Packages that use BshClassPath.ClassSource
Package
Description
bsh.classpath

## Uses of BshClassPath.ClassSource in bsh.classpath

Subclasses of BshClassPath.ClassSource in bsh.classpath
Modifier and Type
Class
Description
`static class`
`BshClassPath.DirClassSource`
`static class`
`BshClassPath.GeneratedClassSource`
`static class`
`BshClassPath.JarClassSource`
Methods in bsh.classpath that return BshClassPath.ClassSource
Modifier and Type
Method
Description
`BshClassPath.ClassSource`
DiscreteFilesClassLoader.ClassSourceMap.`get(String name)`
`BshClassPath.ClassSource`
BshClassPath.`getClassSource(String className)`
Return the source of the specified class which may lie in component path.
Methods in bsh.classpath with parameters of type BshClassPath.ClassSource
Modifier and Type
Method
Description
`void`
DiscreteFilesClassLoader.ClassSourceMap.`put(String name, BshClassPath.ClassSource source)`
`void`
BshClassPath.`setClassSource(String className, BshClassPath.ClassSource cs)`
Explicitly set a class source.